extends Node3D

var player_side: String

@onready var intro_camera = $Intro/CameraMount/IntroCamera
@onready var intro_view_port = $Intro/CameraMount/IntroCamera/SubViewportContainer/SubViewport
@onready var spawns = $Spawns
@onready var root = $'.' 
@onready var players = $Players
# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	var char : Node3D = null
	var red_spawn: Node3D = $Spawns/Blue/SpawnArea

	var position := red_spawn.global_position
	if multiplayer.is_server():
		for i in GameServerManager.players:
			print(i)
			char = ResourceLoader.load("res://scenes/utils/character.tscn").instantiate()
			char.name = str(GameServerManager.players[i].name)
			char.global_position = position
			var my_random_number = RandomNumberGenerator.new().randf_range(-2.0, 2.0)
			char.global_position = position
			char.global_position.x += my_random_number
			$MultiplayerSpawner.spawn(char)
			
			players.add_child(char)
	pass

func spawn_player(id: int):
	var red_spawn: Node3D = $Spawns/Blue/SpawnArea
	var position := red_spawn.global_position
	var char = ResourceLoader.load("res://scenes/utils/character.tscn").instantiate()
	char.name = str(GameServerManager.players[id].name)
	char.global_position = position
	var my_random_number = RandomNumberGenerator.new().randf_range(-2.0, 2.0)
	char.global_position = position
	char.global_position.x += my_random_number
			

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass
